/*-
 * Copyright (c) 2004 Michael Bushkov <bushman@rsu.ru>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

#ifndef __LOOKUPD_DEFS_H__
#define __LOOKUOD_DEFS_H__

#include <nss.h>
#define SOCKET_BUFFER_MAX_SIZE 2048

#ifndef NS_SUCCESS
#define NS_SUCCESS      (1<<0)	/* entry was found */
#endif

#ifndef NS_NOTFOUND
#define NS_NOTFOUND     (1<<2)	/* source responded 'no such entry' */
#endif

#ifndef NS_TRYAGAIN
#define NS_TRYAGAIN     (1<<3)	/* source busy, may respond to retry, or given buffer is too small */
#endif

#ifndef NS_UNAVAIL
#define NS_UNAVAIL      (1<<1)	/* source not responding, or corrupt */
#endif

#ifndef NS_UNDEFINED
#define NS_UNDEFINED -1
#endif

#ifndef NS_CONTINUE
#define NS_CONTINUE 101
#endif

#ifndef NS_RETURN
#define NS_RETURN 102
#endif

#define NS_FOREVER 103

#endif
