/*-
 * Copyright (c) 2004 Michael Bushkov <bushman@rsu.ru>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

#ifndef __PASSWD_DEFS_H__
#define __PASSWD_DEFS_H__

#include <pwd.h>

/* basic structure for getpw** functions results */
struct passwd_result {
	struct passwd	pwd_result;		/* the actual result */
	char		*pwd_buffer;		/* the buffer, where pwd_result fields point */
	size_t		pwd_buffer_size;	/* size of the pwd_buffer */
};

/* getpnam request structure */
struct getpwnam_data {
	size_t	name_size;	/* length of the name getpwnam's parameter */
	char	*name;		/* name getpnam's parameter */
};

/* getpwuid request  */
struct getpwuid_data {
	uid_t	uid;	/* uid parameter */
};

/* getgrent common data structure */
struct getpwent_data {
	size_t	cursor_size;		/* cursor - used by snapshots */
	void	*cursor_buffer;		/* cursor pointer size */
};

#endif
